Subject: Re: Breakage from ARM when building x86

From: Russell King <[email-masked]>
Date: Tue, 14 Feb 2012 16:53:05 +0000

On Tue, Feb 14, 2012 at 04:44:53PM +0000, Alan Cox wrote:
> Either this needs the headers fixing or should be protected by an ARM
> config, not sure which

At a guess, this is from linux-next ?

> drivers/mfd/twl-core.c: In function ‘twl_probe’:
> drivers/mfd/twl-core.c:1218:2: error: implicit declaration of function
> ‘irq_alloc_descs’ [-Werror=implicit-function-declaration]
> drivers/mfd/twl-core.c:1226:2: error: implicit declaration of function
> ‘irq_domain_add_legacy’ [-Werror=implicit-function-declaration]
> drivers/mfd/twl-core.c:1227:11: error: ‘irq_domain_simple_ops’ undeclared
> (first use in this function) drivers/mfd/twl-core.c:1227:11: note: each
> undeclared identifier is reported only once for each function it appears
> in cc1: some warnings being treated as errors

This has nothing to do with me ;)  You're not the first to report it today.
I'm told by OMAP people that TWL gets used on x86 as well so it can't be
restricted to just ARM.

This is probably due to the irq domain stuff coming out of Grant's tree.

So no, really not anything to do with ARM.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: